Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Interface NavigableDefinition

All Known Implementing Classes:
  BookDefinition, PageDefinition

    public interface NavigableDefinition

Represents entities that may have other entities placed on them. E.g. Books and Pages.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`String` | `getDefinitionLabel()` Returns the definition label associated with this `NavigableDefinition`.
`String` | `getDescription()` Returns the description associated with this `NavigableDefinition`.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this navigable based on the locale of the request used for retrieving the menu.
`NavigableDefinitionId` | `getNavigableDefinitionId()` Returns a `NavigableDefinitionId` associated with this `NavigableDefinition`.
`String` | `getTitle()` Returns the title associated with this `NavigableDefinition`.
`String` | `getWebAppName()` Returns the name of the J2EE web application this `NavigableDefinition` is scoped to.
`boolean` | `isHidden()` Returns whether this `NavigableDefinition` is set to not be rendered.

Method Detail

### getNavigableDefinitionId

    NavigableDefinitionId getNavigableDefinitionId()

  Returns a `NavigableDefinitionId` associated with this `NavigableDefinition`. May return null if the `NavigableDefinition` has not been retrieved using the persistence API

  Returns
    `NavigableDefinitionId`

### getLocalizationResource

    LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this navigable based on the locale of the request used for retrieving the menu.

  Returns
    `LocalizationResource` associated with this navigable

### isHidden

    boolean isHidden()

  Returns whether this `NavigableDefinition` is set to not be rendered.

  Returns
    true if this `NavigableDefinition` is hidden

### getDefinitionLabel

    String getDefinitionLabel()

  Returns the definition label associated with this `NavigableDefinition`.

  Returns
    definition label

### getTitle

    String getTitle()

  Returns the title associated with this `NavigableDefinition`.

  Returns
    title

### getDescription

    String getDescription()

  Returns the description associated with this `NavigableDefinition`.

  Returns
    description

### getWebAppName

    String getWebAppName()

  Returns the name of the J2EE web application this `NavigableDefinition` is scoped to.

  Returns
    web application name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.